Bug 243743 - Complain on configuration error.
Complain on configuration error.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: system-config-securitylevel (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-11 12:56 EDT by Thomas Woerner
Modified: 2008-05-21 12:04 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0340
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 12:04:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Honour the exit code of lokkit call. (2.61 KB, text/x-patch)
2007-06-11 12:56 EDT, Thomas Woerner
no flags Details

  None (edit)
Description Thomas Woerner 2007-06-11 12:56:08 EDT
Description of problem:
system-config-securitylevel is not complaining, if lokkit could not write the
configuration.

Version-Release number of selected component (if applicable):
system-config-securitylevel-1.6.29.1-1.el5

How reproducible:
Always

Steps to Reproduce:
1. Damage lokkit or change selinux context.
2. 
3. 
  
Actual results:
system-config-securitylevel does not complain that firewall is not written, but
 all seems to be ok.

Expected results:
Complain about problem.

Additional info:
Comment 1 Thomas Woerner 2007-06-11 12:56:08 EDT
Created attachment 156737 [details]
Honour the exit code of lokkit call.
Comment 2 RHEL Product and Program Management 2007-10-31 14:25:23 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 errata-xmlrpc 2008-05-21 12:04:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0340.html

Note You need to log in before you can comment on or make changes to this bug.